Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

listtable.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: listtable.php 6212 2001-07-19 12:48:35Z jakobn $
5 //
6 // Created on: <22-Jun-2001 13:12:22 br>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27 // include the class files.
28
29 // include_once( "classes/eztemplate.php" );
30 // include_once( "ezexample/classes/ezexample.php" );
31
32
33 $ini =& eZINI::instance( 'site.ini' );
34 $Language = $ini->variable( "eZUserMain", "Language" );
35 $tpl = new eZTemplate( "kernel/ezexample/user/" . $ini->variable( "eZUserMain", "TemplateDir" ),
36 "kernel/ezexample/user/" . "intl", $Language, "listtable.php" );
37 $tpl->setAllStrings();
38
39 // get all fields from the database.
40
41 $field = new eZExample( );
42 $fieldArray =& $field->getAll();
43
44 // parse the template.
45
46 $tpl->set_file( "listtable_tpl", "listtable.tpl" );
47 $tpl->set_block( "listtable_tpl", "row_tpl", "row" );
48 $tpl->set_var( "row", "" );
49
50 for( $i=0; $i< count($fieldArray); $i++ )
51 {
52 if ( $fieldArray[$i]->Text() != "" )
53 $tpl->set_var( "row_text", $fieldArray[$i]->Text() );
54 else
55 $tpl->set_var( "row_text", "&nbsp;" );
56 $tpl->parse( "row", "row_tpl", true );
57 }
58 $tpl->pparse( "output", "listtable_tpl" );
59 ?>
$i
$i
Definition: admin/adlist.php:91
eZExample
Definition: ezexample.php:32
eZTemplate
Definition: eztemplate.php:107
$tpl
$tpl
Definition: listtable.php:35
$field
$field
Definition: listtable.php:41
$Language
$Language
Definition: listtable.php:34
$ini
$ini
Definition: listtable.php:33
$fieldArray
$fieldArray
Definition: listtable.php:42
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.